<?xml version="1.0" encoding="utf-8"?>
<!--
 * AGP Config
 * all AGP states definitions at here.
 -->
<Config>
    <Params name="dynamic_fps_config" value="1">
        <!-- size equals to number of FPS Setting
         switch values:
         0:disable    1:froce_30   2:force_60   3:force_90
         4:force_120  5:froce_144  6:force_240  9:dynamic -->
        <Param name="setting_config">
            <setting id="0" value="2">
                <!-- default value shouldn't be 0 -->
                <switch name="app_default" value="2"/>
                <switch name="game_default" value="2"/>
            </setting>

            <setting id="1" value="9">
                <!-- default value shouldn't be 0 -->
                <switch name="app_default" value="9"/>
                <switch name="game_default" value="9"/>

                <switch name="app_type_list">
                    <type name="3" value="2"/>
                    <type name="8" value="2"/>
                    <type name="17" value="2"/>
                    <type name="21" value="2"/>
                    <type name="25" value="2"/>
                    <type name="30" value="2"/>
                    <type name="36" value="2"/>
                </switch>

                <switch name="app_pkg_list">
                    <pkg name="com.qiyi.video" value="9"/>
                    <pkg name="com.tencent.qqlive" value="9"/>
                    <pkg name="com.youku.phone" value="9"/>
                    <pkg name="com.wochacha" value="2"/>
                </switch>
            </setting>

            <setting id="2" value="9">
                <!-- default value shouldn't be 0 -->
                <switch name="app_default" value="9"/>
                <switch name="game_default" value="9"/>

                <switch name="app_type_list">
                    <type name="1" value="2"/>
                    <type name="2" value="2"/>
                    <type name="4" value="2"/>
                    <type name="5" value="2"/>
                    <type name="7" value="2"/>
                    <type name="10" value="2"/>
                    <type name="11" value="2"/>
                    <type name="15" value="2"/>
                    <type name="16" value="2"/>
                    <type name="22" value="2"/>
                    <type name="23" value="2"/>
                    <type name="24" value="2"/>
                    <type name="3" value="2"/>
                    <type name="8" value="2"/>
                    <type name="17" value="2"/>
                    <type name="21" value="2"/>
                    <type name="25" value="2"/>
                    <type name="30" value="2"/>
                    <type name="36" value="2"/>
                </switch>

                <switch name="app_pkg_list">
                    <pkg name="com.qiyi.video" value="9"/>
                    <pkg name="com.tencent.qqlive" value="9"/>
                    <pkg name="com.youku.phone" value="9"/>
                    <pkg name="com.wochacha" value="2"/>
                </switch>
            </setting>
        </Param>

        <!-- setting default value -->
        <Param name="setting_refresh_default_id" value="0"/>

        <Param name="SF_composition_config">
            <sf_param name="switch" value ="0"/>
            <sf_param name="sf_accum_time" value ="5"/>
            <sf_param name="sf_accum_count" value ="30"/>
            <sf_param name="app_penalty_time" value ="60"/>
            <sf_param name="app_penalty_count" value ="5"/>
        </Param>

        <Param name="high_freq_smart_slide_model_config">
            <slide_param name="switch" value="1"/>
            <slide_param name="low_velocity_friction_gain" value="0.6"/>
            <slide_param name="low_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="medium_velocity_level" value="5000.0"/>
            <slide_param name="medium_velocity_friction_gain" value="0.6"/>
            <slide_param name="medium_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="high_velocity_level" value="15000.0"/>
            <slide_param name="high_velocity_friction_gain" value="0.6"/>
            <slide_param name="high_velocity_init_velocity_gain" value="0.8"/>
        </Param>
	<Param name="game_exit_info_switch" value="0"/>
	<Param name="multi_app_lcd_fps_switch" value="2"/>
	<Param name="fps_drop_immediate_config" value="1"/>
    </Params>
</Config>
